>> AROUNDMe

  Copyright (c) 2003-2007 Barnraiser. All rights reserved.
  
  
>> Note: Bug fix numbers are from the support tracker at
   https://savannah.nongnu.org/projects/aroundme/ You can 
   search and find bug details there.If you have feedback or have found a new 
   bug please report it to our build network at http://build.barnraiser.org/
   

   >> 0.7.7, 1st March 2007
   meta-tags now works from core_profile - SÖ
   identity-management improved (you can now use a default card) - SÖ
   added overspill to msg view - TC
   

   >> 0.7.6, 25th February 2007
   Message being sent on respect (configurable) - SÖ
   Message being sent when someone joins your module+item - SÖ
   Mutual respect message is now beeing sent - SÖ
   Added HTML email wrapper to email message notification - TC
   Added "Add a copy of this message to my out box?" to message compose - TC
   HTML editor added - TC
   announcements cron added - TC
   File edit selector added - TC
   Social network / respect network config selector added - SÖ
   
   Task 1-50: Mail and announcement icons appear at top of page constantly now - TC
   Task 1-51: Maintenance user page link to profile fixed - TC
   Task 1-40: Fixed indented comment width - TC
   Task 1-20: Fixed user status drop down in participation edit
   Task 1-49: Multiple <code> tags now work in wiki formatting - TC
   Task 1-7:  Structure text now strips slashes - TC
   Task 1-7:  Comments preview now strips slashes - TC
   Task 1-44: You can now view announcements - TC
   Task 1-10: Error page link now directs to structure page - TC
   Task 1-55: Fixed duplicate comment add on browser refresh - TC
   Task 1-56: Matrix-button does no longer appear when viewing on of my own identity-cards - SÖ
   Task 1-57: Show respect in profile now works - SÖ
   Task 1-58: Testimonials between identities in tie_matrix added - SÖ
   Task 1-60: Respect now correctly removed - SÖ (Thanks CM for reporting)
   Task 1-69: Fixed contact reports - TC
   Task 1-70: Fixed contacts listing to set right allocation or state the user from which the report came - TC
   Task 1-72: Fixed language selector in locations maintenance page - TC


   >> 0.7.5, 30th January 2007
   File can now upload jpg from IE - SÖ
   Strong ties out, hybrid of sn+weak ties in - SÖ
   Message-list now lists my respected (one-way) network (portable removed) - SÖ
   HTML email template added and used in invites (will be rolled out to other 
   Email functionality at a later date) - TC
   Participation moved to core - TC
   Invite moved to core - TC
   Added withdraw option to participation - TC
   When redirected to login page original url is now maintained and returned to after login - TC
   Message icon now works in IE (in profile page) - TC

   
   >> 0.7.4, 13th January 2007
   If lookng at my own profile "block this user" is not shown - SÖ
   Registration fixed to allow invite based registration with public registration off - TC
   Fixed single language account update bug - TC
   Fixed profile to remove options box if identity is mine - TC
   Installer now creates announce-table - SÖ
   SWE chars in chart now OK - SÖ
   Updated people_by_location-chart - SÖ
   Structure now shows correct identity-card for visitor/logged in users - SÖ
   Removed comments preference - TC
   Fixed batch processing preference value from setup - TC
   Invite registration now applied correct permissions - TC
   Status is now viewed in maint_user_list - SÖ
   Anchors added to comments box - TC
   
   

   >> 0.7.3, 8th January 2007
   Fixed announcement list link to profile - TC
   Fixed error if page name does not include prefix (now displays error page) - TC
   Fixed setup date dropdown - if error datedropdown resets to given date - TC
   Annoucements now returns to listings page if no annoucement found in view - TC
   Removed rounded image based box footers in favour of stylesheet only design - TC
   Added strong tie-count to tie_matrix - SÖ
   Added item-link to each identity in respected network in tie_matrix - SÖ
   Moved the "template->set" of identities to the bottom of tie_matrix to make sure it is parsed - SÖ
   Fixed the installer - SÖ
   Minor improvment of file. file-record is not deleted if error-log is not empty - SÖ
   Fixed multiple template selector in accounts page - TC
   Fixed policy page thumbnail size of images - TC
   Fixed image in membership maintenance page - TC
   Added membership selector in membership maintenance page - TC
   Fixed error when system message is show in message view page - TC
   Added strip_tags to tag-body in tagclass - SÖ
   Added strip_tags to custom_item_body, identity_name, identity_nic, identity_signature and identity_metadata in userclass - SÖ
   Fixed registration to insert default registree user and module permissions - TC
   Removed window _new preference in user preferences (now uses target in html content) - TC
   Comments now displays even if there are no locations in aroundme - SÖ
   Fixed login error display - TC
   Changing my permissions in user maintenance page now immediately updates my permissions - TC
   Updated charts and added chart-config + new chart - SÖ
   one chart is now in one own file - SÖ
   fil_view now checks the _file_allocation instead of message allocation (thanks CM for reporting) - SÖ
   
   
   
   

   >> 0.7.2, 11th December 2006
   Fixed error page link to "my homepage" - TC
   Fixed "shared participaion" title not appearing in matrix screen - TC
   Added permissions to allow for module management (access, create, maintain) - TC
   Not logged in button added - TC
   When logged in, link from logo fixed - TC
   Fixed language selector - TC
   Fixed invitee id card in profile page - TC
   Abuse report source now included in report - TC
   
   
   >> 0.7.1, 8th December 2006
   Fixed policy link on register page - TC
   Fixed allocation error when uploading large file at setup - TC
   Fixed setup file not being attached to members identity card - TC
   Fixed error on structure page (no module array) - TC
   Fixed account update (lang file user_homepage vars replaced) - TC
   Fixed search (people) - TC
   Moved meta data from user account to identity - TC
   Fixed sending a message from pressing identity card msg icon - TC
   Fixed message lost when error message appears whilst composing message - TC
   Fixed link to user from membership maintenance page - TC
   After reading a message status is now set to 'read' - TC
   
   
   >> 0.7.0, 4th December 2006
   Complete re-write to create core with modules and tie based networking
   
   
   >> 0.6.9, 31st May 2006
   User blogs now have syndicated RSS feeds in - TC
   Group create simplified - TC
   Social network overview screen added - TC
   social network profile page redesigned - TC
   help section added to group permissions screen - TC
   Search engine upgraded - TC
   
   BUG FIXES
   invite "SYS_KEWORD_" removed - TC
   mail notification now reports correct comment - TC
   add subject (when viewing subject) link fixed - TC
   my view link to quizzes fixed - TC
   group discussions overview comments listing fixed - TC
   nested comment preview does not maintain relationship with parent fixed - TC
   
   
   
   >> 0.6.8,
   Quiz added - TC
   Upon registration the default profile is created to accept messages by 
   default now - TC
   Preview button removed from register (no longer required) - TC
   Wiki page name check improved upon adding wiki page - TC
   iCal export added *see known issues* - TC
   Charts added (for developers only) - TC
   Schedule gantt view added (for developers only) - TC
   my_publishing superceeded with improved overview page - TC
   
   BUG FIXES
   Schedule edit fixed (when editing group schedule) - TC
   Schedule "allow comments" now allows comments - TC
   Http referer fixed - TC
   If linking to an item and not logged in you are now taken to the 
   login screen - TC
   Newsletter now batch sends to full user base - TC
   Message view - incorrect profile display fixed - TC
   Multiple language dropdown now appears in newsletter edit - TC
   Edited newsletter now appear in edit form - TC
   group management page class inheritence error fixed - TC
   group rsp lang pack screen error fixed - TC
   edit newsletter lang pack screen error fixed - TC
   schedule edit popup calendar alignment fixed - TC
   schedule view wikilinks now linked - TC
   Profile display fixed for people without permission to view - TC
   Send user invites from 'membership' page multiple times error fixed - TC
   Digest newsletter listings fixed - TC
   Removed HTML from RSS feed desription - TC
   Blog "my groups" listing comment count fixed - TC
   My groups discussion listing now matches group listing - TC
   Topic sidebar listing now corrected to display group topics - TC
   Add profile screen now only displays my images - TC
   Tasks without start/end dates now display in listings - TC
   My schedule now displays listings - TC
   schedule allocation editting fixed - TC
   schedule edit time field fixed for selecting/deelecting "all day" - TC
   sn_list heading now differentiates sn from directory listings - TC
   deletion from group now working (in group membership page) - TC
   css - multiple border colours removed - TC
   wiki file render path fixed - CM
   skills finder under "me" now displays "me" submenu - TC
   group link in search results fixed - TC
   true self profile nickname added (for display in groups) - TC
   RSS date format fixed - TC
   
   
   TC = Tom Calthrop
   CM = Charles McGonegal
   
   >> 0.6.7, 7th April 2006
   Skills finder added - TC
   Profile delete option and set default/true self added - TC
   Images added to profile listing - TC
   Unix name added - TC
   Group customisable fields added - TC
   
   BUG FIXES
   "join group" text bug fixed for non registered people - TC (SL reported)
   Group publishing fixed - TC
   Library wiki contents does not display group items at node level now - TC
   Discussions image display problem fixed - CM
   Group discussions comment count corrected in group discussion listings - TC
   Link to view role listing from group structure page fixed - TC (CM reported)
   Message images now display - TC (CM reported).
   Schedule network view error fixed - TC
   Sub menu altered for improved usability - TC
   Comments in discussion listing now only show comments for the listed 
   discussions - TC
   
   
   TC = Tom Calthrop
   CM = Charles McGonegal
   SL = Simon Lynch
   
   
   >> 0.6.6, 4th April 2006
   Checkbox default page set added to Start page - TC
   Breadcrumb only augmented on item detailed view (not lists) now - TC
   HTML added to email registration - TC
   Threaded comments added - TC
   Poll participation added to sn_profile screen - CM
   Session name added - TC
   Network tipped (recommended) item view added - TC
   User preferences added (comment view, new win, show in dir) - TC
   
   BUG FIXES
   Mail notification fixed (mail_notify str_replace) - TC
   Wiki page edit fixed (library_id added to template) - TC
   Group library edit now displays group images - TC
   Group WikiLinks now include group_id - TC
   Templates now change when selecting a new template in my membership - TC
   mail notification no longer sends to author - TC
   Wiki comments now added without error - TC
   Mail notification for polls fixed - TC
   Group pending displays pending info to user - TC
   Changing group role now works - TC
   In group membership, editing status now displays correctly - TC
   Echo of node and public publishing checkbox in group item edit removed - TC
   When adding group item group images now shown - TC
   Template box tops now expand for multi line headings - TC
   Library contents now displays only latest items - TC
   Group image can now be set (from group structure->edit group) - TC
   Message reply now replaces SYS_KEYWORDS correctly - TC
   http_referer fixed - TC
   Ability to view someone else's file in your files page fixed - TC
   Library comment preview fixed - TC
   Group schedule view fixed - TC
   Updating account email fixed (dormant mode added) - TC
   Total online users fixed for only users who have completed registration - TC
   
   TC = Tom Calthrop
   CM = Charles McGonegal
   
   
   >> 0.6.5, 13th March 2006
   error checking added for wiki page names starting with numbers - TC
   basic column sort added to structure-membership page - TC
   batch process to cleanup old pending users added (logging included) - TC
   
   BUG FIXES
   group publishing to featured pages fixed - TC
   group create button now hidden if no permissions granted - TC
   blog sticky items now appear at top of featured page - TC
   discussion statistic total now correct - TC
   group statistics : total comments fixed - TC
   poll edit save now re-checks publishing checkboxes - TC
   batch process logging fixed (error in path) - TC
   Saving a discussion topic fixed - TC
   Adding a subject under a topic link fixed - TC
   Comments can now be added to polls - TC
   
   
>> 0.6.4, 8th March 2006
   TC = Tom Calthrop
   CG = Christian Glahn
   
   BUG FIXES
   Fixed error on edit account (my_membership) screen - TC
   Fixed SQL error on Community (mag_view) page - TC
   Wiki edit errors removed - TC
   Group files page now displays group menu - TC
   Notification email incorrect greeting name bug fixed - TC
   Fixed missing rsp.status_id on adding group item - TC
   rsp_featured added to install sql - TC
   SQL JOIN fixed for MySQL 5 complience - CG
   RSS fixed for registered users - TC
   discussion - "my discussions" now displays correctly - TC
   newsletter no longer lists batch (nightly) newsletters - TC
   
   
>> 0.6.3, 27th February 2006
   edit screen wiki link and file insert dropdowns added - TC
   Publishing to public featured page option added - TC
   
   Bug fixes
   Report abuse does not show before login now - TC (thanks to Gritz for reporting)
   mail notification profile bug fixed - TC
   RSS feed fixed - TC (thanks to taku for reporting)
   wiki default for node update no longer alters groups wiki home pages - TC
   Tags fixed - TC
   
   
   
   

>> 0.6.2, 21st February 2006
   group management screen and permissions added - TC
   Comment totals added to featured stuff page - TC
   item notification - TC
   
   Bug fixes
   Group wiki pages now display (missing permissions) - TC
   discussions on node discussions page now show discussions published to 
   everyone - TC
   Wiki Image rendering now renders thumbnail images - TC
   Added thumbnail information to wiki formatting guide - TC
   Images now preview correctly in library edit screen - TC
   Wiki page name (non a-z0-9) character check added - TC
   If no default wiki page set contents now displays - TC
   Marks and tips links now working - TC
   Channels now work for groups - TC


>> 0.6.1, 27th January 2006
    
    Bug fixes
	#105070: 0.6.0 - Personal files cannot be uploaded - TC
	#105075: 0.6.0 - new templates cannot be used - TC
	#105076: message "check all" checkbox does not work - TC
	#105077: 0.6.0 - batch files not working - TC
	#105081: 0.6.0 - redirect error - TC
	#105082: 0.6.0 failed to add a relation - TC
	#105083: 0.6.0 search error when not logged in - TC
	#105085: 0.6.0 public items not showing - TC
	#105086: 0.6.0 preview - images not showing  - TC
	Newsletter texts now included in digest send - TC
	
	
>> 0.6.0, 24th January 2006
   Major upgrade to all areas of AROUNDMe - TC
   

>> 0.5.4,
   Group newsletter roles added - TC
   Poll wiki formatted details section added - TC
   
   Bug fixes
   #104617: Link to member profile from group home comments list broken - TC
   #104618: 0.5.3 bug with requesting newsletters and email - TC
   #104620: I get the following error when I click "SAVE AND GO" - TC
   #104621: I get the following error message when I choose "All available 
            events" under "type of event" drop down selection - TC
   #104624: change the status of the report, you will see a blank page - TC
   
   
>> 0.5.3, 30th August 2005
   Message list profile link added - TC
   Latest comments added to group home page - TC
   RSS setup added to config - TC
   Wiki comments view only this page or all versions comments added - TC
   Wiki formatting added to newsletters - TC
   User preferences added - TC
   Messages received can be sent to my email intray - TC
   
   Bug fixes
   Group file list now displays all files for group and not just mine - TC
   Small updates to tidy up for IE (set with medium sized text) - TC
   ")" removed from comment profile box - TC
   Genre was removed from group_create.php - TC
   hardcoded "allocation" removed from sch_list.tpl.php and placed in lang files - TC
   #104493: link to users profile is broken - TC
   #104500: comments should have wikilink turned off - TC
   #104491: Editing group rules does not save group rules - TC
   Social network menu now hidden if user does no have permissions - TC
   Group library  (wiki) history now shows - TC
   Library history comments (showed newest item comments) fixed - TC
   Horizontal rule now works in wiki formatting menu - TC
   #104497: newsletter does not support line breaks - TC
   Group RSP now updates - TC
   Forces file update to only accept same file types - TC
   Poll anonymous and vote required (to see comments) fixed - TC
   RSS feed class adjusted to display in Mozilla Firefox - TC
   
   
   
>> 0.5.2, 23th July 2005
   Topic order added - TC
   Topic subject add permissions added - TC
   Comment formatting added - TC
   Group list added to user profile - TC
   Removed genres (in favour of tags) - TC
   Social tagging added - TC
   Comments added to schedule - TC
   Group search added - TC
   Added help popup and man directory for ease of manual additions - TC
   
   Bug fixes
   Newsletter logging fixed - ES
   Group profile now displays correct role name - TC
   public subject item now includes wiki markup - TC
   Group permissions, update default role now working - TC
   Node user edit, update user now working - TC
   #104375 blog preview unchecks checkbox - TC
   #104416 comment profile links to group and not person profile - TC
   #104401 my blog list produces zero results - TC
   #104396 wiki edit page talks of "event" instead of "wiki" - TC
   #104395 group acs - updating a role name does not work - TC
   #104412 overview: channel language errors - TC
   #104384 overview: when logging off I get an error - TC
   #104377 overview: A comment received by a splash article does not appear in the group - TC
   #104393 overview: When admin-add user we get error - TC
   
   
>> 0.5.1, 30th June 2005

   1. WikiFile added (can place files into wiki now) - TC
   2. Channels added - TC
   3. Group schedule added - TC
   
   
   Bug fixes
   1. Forum comment count now correct - TC
   2. Forum last comment date now correct - TC
   3. Subject preview removed (not required) - TC
   4. When replying to a message with no social network you can still 
      reply now - TC
   5. Added "my groups" as home page option - TC
   6. Thumbnail images are now deleted when deleting a file - TC
   7. Print page now fixed - TC
   8. SMTP username/pass vars added to config - TC [thanks to diamond 
      for discovering / informing us about this]
   9. Go through all Insert/update statements and check adodb complience - TC
   10. Several RSP bug fixes to Splash and the admin screens - TC
   11. Group member profile page links fixed - TC
   12. RSS links fixed - TC (see credits)
   13. Non free font removed for GNU complience - TC
   14. #104184: Can't publish a group blog to public fixed - TC
   15. sr #104311: Undefined index: section_id fixed - TC
   16. sr #104215: error on add comment fixed - TC
   17. sr #104203: SMTP option for username and password missing - added 
       username and pass options to config file - TC
   18. sr #104229: Link error my publishing fixed - TC
   19. sr #104194: membership error fixed - TC
   20. sr #104185: Edit group – hidden group error fixed - TC
   21. sr #104206: Profile error fixed - TC
   22. sr #104189: Bug at delete membership of group fixed - TC
   23. sr #104193: schedule printing errors fixed - TC
   24. sr #104204: all schedules seen, not only the group - fixed - TC
   25. sr #104207: task in groups if you set "no start and end time" fixed - TC
   26. sr #104183: newsletter does not work fixed - TC/ES
   27. event and task search fixed - TC
   28. social network recommended items page fixed - TC
   29. report abuse page redirect fixed - TC
   
   
>> 0.5.0, 9th May 2005
   1. The www directory is removed to simplify installation.
   2. Renamed shockwaveflash to swf_wiki for GNU complience.
   3. Added MakeFile for GNU complience.
   4. Initial implementation of Aspell (spell checking).
   5. Comments code is now in include file to prepare for threading.
   6. Using the name CMS created the wrong idea so we have renamed the 
   7. CMS to RSP (really simple publishing).
   8. Printer friendly page added with optional comments.
   9. Search page added.
   10. Genres removed in favour of multiple categories.
   11. Redesign of template.
   12. LABEL elements added to forms. This associates a label with a 
       form control. By associating labels with form controls we  
	   give important hints to users of speech browsers while also 
	   allowing visual browsers to duplicate common GUI features 
	   (e.g., the ability to click on a text label to select a radio 
	   button or checkbox).
   13. Captcha (Completely Automated Public Turing to tell Computers 
       from Humans Apart) system added.
   14. Rss feed moved under my_membership. This is in preparation for 
       an RSS management system where you can RSS friends and groups 
	   and import rss into your blogs and groups.
   15. aroundme updated for UNICODE complience. See install.txt for 
       more information.
	   
	   
   Bug fixes
   1. Default profile displayed for anyone outside of social network.
   2. Network totals now correct (as displayed in sn_network.php)
   3. Set Locale date problem fixed [thanks to Erik Sundelöf for fix].
   4. Node CMS search function fixed to stop incorrect publishing.
   5. Calendar "view today" link fixed.
   6. You can see another persons messages by manually typing an id
      in the url - fixed. 
   7. Social network count fixed [thanks to Yuki Shida for fix].

   
>> 0.4.3, 5th February 2005
   Setup changed to allow users to set messaging upon setup.
  
   Bug fixes
   #103850 url redirect sometimes takes me to the info page 
   #103851 group library broken
   #103853 forum list sticky items do not appear on top
   #103854 profile - add profile tempate contains surplus "update" 
           button
   #103859 WIKI does not support Swedish characters
   When changing language in my_membership the interface language 
   changes directly
   Social network inviteee count in sn_network now correct
   Social netowrk pending requests now show correct user pending 
   and not me.
   On group calendar, task details link fixed.
   Fixed library template table error
   Fixed library edit template "public" publishing language array
   Edit my library preview maintains publishing and comment settings 
   now.
   My overview now hides message icons if profile does not allow 
   messaging when a person joined your network the network was not 
   rebuild to include the new person. Now fixed.

   
   
>> 0.4.2, 31st January 2005
   Basic RSS feed functionality added.
   Group files now in gallery view.
   Version number added to node admin screen.
   History view added to user library.
   Group member application sends message now if group is set to 
   registration required.
   Group blog rss added.
   Magazine rss added.
   http_referrer  added for RSS. If you go to a page when you are not 
   logged in, when you log in the site will go to the originally 
   requested page.
   You can now set Group create in the Users ACS.
  
   Bug fixes
   Welcome page spelling error (welcoem) corrected.
   #103757 - Socialnetwork.class.php network count fixed.
   #103788 - header.inc.php shoutbox array echo removed.
   User blog edit now fixed.
   User profile statistics fixed.
   Network can no longer be set in membership if user does not have 
   ACS privileges.
   The most recent versions of Internet Explorer for Windows tends to 
   flummox text with a font-size less than 1em ("0.5em", for 
   instance). We use this as it allows accessibility for disabled 
   users, hence all templates have been changes to get around this 
   IE issue
   Adding a user library fixed.
   Fixed IM display for system messages (they were not showing as 
   their was no profile - SQL changed).
   Hidden group type now displays in template.
   If user does not have ACS privilege for 'shout' the shout button 
   is removed from menu.
   Blog group comments now list correctly.
   You can now add friends that are already in your network.
   Newest friends now show in my overview page
   Comments link now added in my overview page
   Library create date now formatted correctly
   Only user roles now appear in node user role dropdown menu
   group home page now only shows content if you have privilege.
   setup blank screen error fixed.
  

>> 0.4.1, 17th January 2005
    web site cms added - you can now publish to the site home page.
	#103782 registration - gender 
	 
	Bug fixes
	#103756 profile menu appear when looking at social network 
	#103759 Shout form javascript character count does not work.
	#103761 Default node role is not applied to user at registration
	#103763 Flash stops page displaying in IE 
	#103768 Spelling correction - 'Help is alwasy available'corrected
	#103779 file allocation size incorrect 
	#103762 Image upload not working in IE
	#103777 user submitted library and blog items do not appear in CMS 
	#103769 ACS assigning of permissions - groups 
	#103774 New user is not set up properly, causes mySQL errors 
	#103773 MySQL error when setting up new user 
	#103772 missing variable definition
	#103781 In group total discussion topics does not look accurate
	#103760 Nodes comment privilege not implemented.
	#103780 sn_network users do not appear as online
	#103783 update profile table 
	
	
	
	
>> 0.4.0, 11th January 2005,First Alpha release 
	Group.class split into Group.class and Groupadmin.class
	group create scripts re-written and put into Groupadmin.class
	File class implemented and Image class deleted - aroundme now supports png,gif,jpg,pdf,
	swf,txt and can be configured to accept any MIME type.
	All classes cleaned up.
	Error handling rewritten to include debug mode.
	All configuration files tidied up and config vars grouped and renamed to allow for "group of 
	vars" to be passed to classes simply.
	Removed forum section as user feedback found the levels confusing
	Bookmarks centralised in single database table
	Polls move to sit under groups rather than users as they are always attached to group 
	subjects.
	Information about blocked users has been moved to the network section.
	The ability to have multiple profiles has been added.
	Registration preview added.
        Comments applied throughout in prep for reputation management system
	Events changed to activities (it is meant to be things to do) and activities changed to 
        tasks for clarity
	Hidden forum topics and subjects now allowable
        Text_Wiki updated to 0.23.1
	Removed set homepage from pages and put in membership
	Removed guestbook
	Remove library and blog total views
	Flash functionality added
		

	Bug fixes
	sn_recommended page error fixed

	
	
>> 0.3.3, 26th November 2004
	Bug fixes
	Fixed forum subject and reply problem
	Fixed Blog update problem
  
  
>> 0.3.2, 23rd November 2004
   Newsletter admin added
   full  access control system implementation started
   phpMailer upgraded
   adoDB upgraded
   DB prefix added to allow for multiple instances of aroundme under a single database account.
   Shoutbox functions moved to Class
   Abuse reporting functionality added
   Multilingual language content display added in prep for CMS implementation
   Bookmarks (favourites) rewritten in preparation for forum movement inclusion
   Forum subjects and topics now track movement since last visit
   

   Bug Fixes
   When adding a friend, config file error in add_friend.php fixed
   Paths fixed in register, lost password and invite files.
   Template id inserted into DB upon installation
   many MySQL specific SQL's replaced with adoDB complient requests.
   adoDB insert_ID removed in favour of a select statement (not complient with all DB's)


>> 0.3.1, 14th October 2004
   Latest blog (splash) page added.
   default page button added to welcome page.
   Favicon added.
   Message 'select all' button added for ease of deleting all messages.

   Bug Fixes
   Images can be uploaded with spaces in the image filename.
   All files changed to UNIX/utf-8 encoded
   all href strings containg & have been replaced by &amp; for xhtml complience.
   appended SID ID to all header redirects (ensures session ID is carried).
   group apply page missing variable ($lang['hdr_node_rules']) fixed.
   Genre and group type added to "my groups" list.
   Fixed breadcrumb var name clash on some pages (var note renamed to breadcrumb_note).
   



>> 0.3_0, 23rd September 2004
   open source release (released to Savannah and sourceforge)
   
   Bug Fixes
   In weeks most read � genre added.
   Message title now accepts special characters.
   Session last used timestamp fixed.
   Total users online corrected to explude pending applications.
   Forum subject now accepts special characters.
   Group admins no longer have node admin priv within groups.
   Library links corrected.
   Templates set to transitional XHTML 
   (note: not all pages verified on default template...this is ongoing)
   Profile summary line breaks fixed.
   Setting new email address in profile now works.
   User class no longer puts zero's in the relation table.


    
>> 0.2_1, 19th August 2004
   pre-open source community version released to core developers only.
   Tidy up of WIKI
   Tidy up of language files and terminology.
   
   Bug Fixes
   none
   
   
  
>> 0.2_0, 4th June 2004
   Library WIKI
   New user scrapbook, WIKI style
   Events calendar
   Basic schedule included
   Lang file changes
   Group member invites
   Auto create membership fro help group when registering
   Auto create user librayr item when registering
   Delete my group membership
   WIKI style messaging
   Many invitees catered for

   Bug Fixes
   Reply button fixed
   Fix mail compose delete button
   Removal of Group templates
   Image class now handles .JPG as well a s.jpg
   Node admin screens and groups now working
   Group registration duplication



>> 0.1_9, 16th May 2004
   Group and User statistics completed
   Group member statistics completed
   Polls completed
   Basic Node administration screens added
   Added functionality to attach a subject to a group event
   When creating a group default library and forum items also created.
   Added Group image max size (disk space)
   Added User image max size (disk space)

   Bug fixes
   Now you cannot post to the forum if the discussion is locked.
   My profile says now says 'online' (was offline)
   Only basic profile and global published blog items can now be seen outside of your social network.
   Dropdown date selects now have start and end vars added.
   Send group apply now goes to all admins for approval.


>> 0.1_8, 5th May 2004
   Edit group functionality added
   Edit group member privilege functionality added
   Edit group rules functionality added
   Group Permissions functionality added
   very basic Event Calendar (unpopulated) added
   Event admin functionality added
   very basic Poll admin functionality added

   Bug fixes
   Registered Spelt wrong in create_group.php
   Many little interface bugs solved
   Delete button on u_message_item.php no working
   .php added to template names for security
   Total acquaintances statistic fixed

 
>> 0.1_7, 25th April 2004
   Updated ADODB class
   Date Class introduced
   Tidy up of language files
   Error/success handling
   Help links created
   Forum sticky/locked icons added
   Member details page added
   Edit image added
   Ask a friend from within network functionality added
   List pending invitees to your Social Network functionality added
   Welcome Instant message added
   Link 'from name' in Instant message to user profile
   Blocking of user functionality added
   List of blocked users added
   Tidy up config file
   
   Bug fixes
   Cannot send if MB is 100% full - fixed: Tom Calthrop 
   Remove aqaintance if aquantance is me - fixed: Tom Calthrop 
   IM - list all users, should be list social network - fixed: Tom Calthrop 
   Block user in mail pages - fixed: Tom Calthrop 
   

>> 0.1_6, 18th April 2004
   Image upload working
   Basic 404 page and error capture
   Register and confirmation added
   Invite friends via email functionality added
   my_overview, latest acquaintance pages fixed
   Global blog page added
   Node stats now working
   Forum completed
   Instant messaging working
   Bookmarks added
   Obvious error removal completed
   Basic library added (no wiki functionality)
   Group apply completed
   Change password and lost password functionality added


>> 0.1_5, 9th March 2004
   Image upload class included, images now display properly
   Session and user management
   Group privileges installed
   Group statistics working
   Group pages reworke


>> 0.1_4, 14th February 2004
   parser completed
   user section display screens completed
   social network completed
   guestbook updated to work with parser
   edit profile screen complete

>> 0.1_3, 29th January 2004
   group section templates coded
   guestbook added
   user scrapbook added
   user registration (buggy) added
   message (internal mailing) display screens coded
   find groups, events added
   group library added and changes to wiki style library
   basic group forum display pages coded

>> 0.1_2, 16th January 2004
   user section templates coded (classes not incorporated)
   basic parse added
   language files added
   shoutbox completed
   bookmarks added

>> 0.1_1, 5th January 2004, tom calthrop
   database connectivity added. header.inc.php now connects to database, pass to 
   classes using $<class_name>->db= $db;
   See User.class.php for example select. footer.inc.php closes db connection.

>> 0.1, 4th January 2004
   First release of basic html structure and class structures for development usage.
